package com.wechat.model.dbEntity;

import java.math.BigDecimal;
import java.util.Date;

public class MdeGoods extends BaseEntity{
    /**
	 * 
	 */
	private static final long serialVersionUID = 8633908707340802526L;

	private Integer goodsId;

    private String goodsNo;

    private String titleCn;

    private String titleEn;

    private String subheadCn;

    private String subheadEn;

    private String resumeCn;

    private String resumeEn;

    private Integer categoryId;

    private BigDecimal sellPrice;

    private BigDecimal marketPrice;

    private BigDecimal costPrice;

    private Date upTime;

    private Date downTime;

    private Integer storeNums;

    private String img;

    private String shareImg;

    private String onSale;

    private String keywords;

    private String description;

    private String searchWords;

    private BigDecimal weight;

    private Integer point;

    private String unitCn;

    private String unitEn;

    private Integer brandId;

    private Integer originId;

    private Integer visit;

    private Integer favorite;

    private Short sort;

    private Integer comments;

    private Integer sale;

    private Integer grade;

    private String type;

    private Date conditionDate;

    private String conditionVip;

    private Integer conditionTime;

    private String adImg;

    private String content;

    public String getAdImg() {
        return adImg;
    }

    public void setAdImg(String adImg) {
        this.adImg = adImg == null ? null : adImg.trim();
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content == null ? null : content.trim();
    }

    public Integer getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Integer goodsId) {
        this.goodsId = goodsId;
    }

    public String getGoodsNo() {
        return goodsNo;
    }

    public void setGoodsNo(String goodsNo) {
        this.goodsNo = goodsNo == null ? null : goodsNo.trim();
    }

    public String getTitleCn() {
        return titleCn;
    }

    public void setTitleCn(String titleCn) {
        this.titleCn = titleCn == null ? null : titleCn.trim();
    }

    public String getTitleEn() {
        return titleEn;
    }

    public void setTitleEn(String titleEn) {
        this.titleEn = titleEn == null ? null : titleEn.trim();
    }

    public String getSubheadCn() {
        return subheadCn;
    }

    public void setSubheadCn(String subheadCn) {
        this.subheadCn = subheadCn == null ? null : subheadCn.trim();
    }

    public String getSubheadEn() {
        return subheadEn;
    }

    public void setSubheadEn(String subheadEn) {
        this.subheadEn = subheadEn == null ? null : subheadEn.trim();
    }

    public String getResumeCn() {
        return resumeCn;
    }

    public void setResumeCn(String resumeCn) {
        this.resumeCn = resumeCn == null ? null : resumeCn.trim();
    }

    public String getResumeEn() {
        return resumeEn;
    }

    public void setResumeEn(String resumeEn) {
        this.resumeEn = resumeEn == null ? null : resumeEn.trim();
    }

    public Integer getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(Integer categoryId) {
        this.categoryId = categoryId;
    }

    public BigDecimal getSellPrice() {
        return sellPrice;
    }

    public void setSellPrice(BigDecimal sellPrice) {
        this.sellPrice = sellPrice;
    }

    public BigDecimal getMarketPrice() {
        return marketPrice;
    }

    public void setMarketPrice(BigDecimal marketPrice) {
        this.marketPrice = marketPrice;
    }

    public BigDecimal getCostPrice() {
        return costPrice;
    }

    public void setCostPrice(BigDecimal costPrice) {
        this.costPrice = costPrice;
    }

    public Date getUpTime() {
        return upTime;
    }

    public void setUpTime(Date upTime) {
        this.upTime = upTime;
    }

    public Date getDownTime() {
        return downTime;
    }

    public void setDownTime(Date downTime) {
        this.downTime = downTime;
    }

    public Integer getStoreNums() {
        return storeNums;
    }

    public void setStoreNums(Integer storeNums) {
        this.storeNums = storeNums;
    }

    public String getImg() {
        return img;
    }

    public void setImg(String img) {
        this.img = img == null ? null : img.trim();
    }

    public String getShareImg() {
        return shareImg;
    }

    public void setShareImg(String shareImg) {
        this.shareImg = shareImg == null ? null : shareImg.trim();
    }

    public String getOnSale() {
        return onSale;
    }

    public void setOnSale(String onSale) {
        this.onSale = onSale == null ? null : onSale.trim();
    }

    public String getKeywords() {
        return keywords;
    }

    public void setKeywords(String keywords) {
        this.keywords = keywords == null ? null : keywords.trim();
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    public String getSearchWords() {
        return searchWords;
    }

    public void setSearchWords(String searchWords) {
        this.searchWords = searchWords == null ? null : searchWords.trim();
    }

    public BigDecimal getWeight() {
        return weight;
    }

    public void setWeight(BigDecimal weight) {
        this.weight = weight;
    }

    public Integer getPoint() {
        return point;
    }

    public void setPoint(Integer point) {
        this.point = point;
    }

    public String getUnitCn() {
        return unitCn;
    }

    public void setUnitCn(String unitCn) {
        this.unitCn = unitCn == null ? null : unitCn.trim();
    }

    public String getUnitEn() {
        return unitEn;
    }

    public void setUnitEn(String unitEn) {
        this.unitEn = unitEn == null ? null : unitEn.trim();
    }

    public Integer getBrandId() {
        return brandId;
    }

    public void setBrandId(Integer brandId) {
        this.brandId = brandId;
    }

    public Integer getOriginId() {
        return originId;
    }

    public void setOriginId(Integer originId) {
        this.originId = originId;
    }

    public Integer getVisit() {
        return visit;
    }

    public void setVisit(Integer visit) {
        this.visit = visit;
    }

    public Integer getFavorite() {
        return favorite;
    }

    public void setFavorite(Integer favorite) {
        this.favorite = favorite;
    }

    public Short getSort() {
        return sort;
    }

    public void setSort(Short sort) {
        this.sort = sort;
    }

    public Integer getComments() {
        return comments;
    }

    public void setComments(Integer comments) {
        this.comments = comments;
    }

    public Integer getSale() {
        return sale;
    }

    public void setSale(Integer sale) {
        this.sale = sale;
    }

    public Integer getGrade() {
        return grade;
    }

    public void setGrade(Integer grade) {
        this.grade = grade;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Date getConditionDate() {
        return conditionDate;
    }

    public void setConditionDate(Date conditionDate) {
        this.conditionDate = conditionDate;
    }

    public String getConditionVip() {
        return conditionVip;
    }

    public void setConditionVip(String conditionVip) {
        this.conditionVip = conditionVip == null ? null : conditionVip.trim();
    }

    public Integer getConditionTime() {
        return conditionTime;
    }

    public void setConditionTime(Integer conditionTime) {
        this.conditionTime = conditionTime;
    }
   
}